﻿/**
 * @fileOverview 組み込みクラスであるDate型を拡張するJSファイルです。
 *
 * @author Naoki Yamada
 * @version 1.0.0
 */

/**
 * 日付を文字列型にして返す<br />
 * <br />
 * ここに拡張機能の説明を記述します。
 *
 * @param {String} date 対象日付
 * @return {String} YYYYMMDD形式の文字列
 * 
 * @example 今日の日付を文字列型にして返す。
 * var date = new Date();
 * d.encodeString();
 */
Date.prototype.encodeString = function() {
	var y = this.getFullYear();
	var m = ('0' + (this.getMonth() + 1)).substr(-2);
	var d = ('0' + this.getDate()).substr(-2);
	return ('' + y + m + d);
}